Skip to main content

Box Shipment Arrival API

This API handles the arrival processing for in-transit Box shipments.

Arrival processing can only be completed if temperature data is available.

  • If you provide a fetchedManualArrivalTime, arrival will be recorded using that timestamp.
  • If fetchedManualArrivalTime is omitted, the current time will be used.
  • The arrival time must be before the current time, and after the shipment’s departure time.

Request​


POST https://openapi.willog.io/ext/v1/box/transports/{transportCode}/arrive​

Path Variable​

NameDescription
transportCodeShipment code

Request Body​

NameTypeRequiredDescription
customerCodeStringfalseCustomer code
fetchedManualArrivalTimeUnix timestamp(ms)falseManual arrival time

Example Request​

POST /ext/v1/box/transports/{transportCode}/arrive
Authorization: Bearer token
{
"customerCode": "customer1",
"fetchedManualArrivalTime": 1738665219000
}

Response​


Response Body​

NameTypeNot-nullDescription
transportCodeStringtrueShipment code
serialStringtrueDevice serial number
departureTimeUnix timestamp(ms)trueShipment departure time
arrivalTimeUnix timestamp(ms)trueShipment arrival time
fetchedManualArrivalTimeUnix timestamp(ms)falseManually set arrival time

Example Response​

HTTP/1.1 200 OK

{
"transportCode": "5089229ca9f1",
"serial": "AB000343",
"departureTime": 1738655274000,
"arrivalTime": 1738665219000,
"fetchedManualArrivalTime": 1738665219000
}

Error Responses​

- Shipment not found​

HTTP/1.1 400 Bad Request

{
"code": "T0088"
}

- Device used for the shipment not found​

HTTP/1.1 400 Bad Request

{
"code": "T0025"
}

- Shipment is in a status that cannot be processed for arrival​

HTTP/1.1 400 Bad Request

{
"code": "T0082"
}

- Arrival time is in the future​

HTTP/1.1 400 Bad Request

{
"code": "T0101"
}

- Arrival time is before the departure time​

HTTP/1.1 400 Bad Request

{
"code": "T0061"
}

- No measurement data available (temperature data required)​

HTTP/1.1 400 Bad Request

{
"code": "T0048"
}